-- complain if script is sourced in psql, rather than via CREATE EXTENSION
\echo Use "CREATE EXTENSION pg_curl" to load this file. \quit

CREATE OR REPLACE FUNCTION curl_easy_header_reset() RETURNS void AS 'MODULE_PATHNAME', 'pg_curl_easy_header_reset' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_mime_reset() RETURNS void AS 'MODULE_PATHNAME', 'pg_curl_easy_mime_reset' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_readdata_reset() RETURNS void AS 'MODULE_PATHNAME', 'pg_curl_easy_readdata_reset' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_recipient_reset() RETURNS void AS 'MODULE_PATHNAME', 'pg_curl_easy_recipient_reset' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_reset() RETURNS void AS 'MODULE_PATHNAME', 'pg_curl_easy_reset' LANGUAGE 'c';

CREATE OR REPLACE FUNCTION curl_easy_escape(string text) RETURNS text AS 'MODULE_PATHNAME', 'pg_curl_easy_escape' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_unescape(url text) RETURNS text AS 'MODULE_PATHNAME', 'pg_curl_easy_unescape' LANGUAGE 'c';

CREATE OR REPLACE FUNCTION curl_header_append(name text, value text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_header_append' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_recipient_append(email text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_recipient_append' LANGUAGE 'c';

CREATE OR REPLACE FUNCTION curl_mime_data(data bytea, name text default null, file text default null, type text default null, code text default null, head text default null) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_mime_data_bytea' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_mime_data(data text, name text default null, file text default null, type text default null, code text default null, head text default null) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_mime_data' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_mime_file(data text, name text default null, file text default null, type text default null, code text default null, head text default null) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_mime_file' LANGUAGE 'c';

CREATE OR REPLACE FUNCTION curl_easy_setopt_copypostfields(parameter bytea) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_copypostfields' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_readdata(parameter bytea) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_readdata' LANGUAGE 'c';

CREATE OR REPLACE FUNCTION curl_easy_setopt(option integer, parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_char2' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt(option integer, parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_long2' LANGUAGE 'c';

CREATE OR REPLACE FUNCTION curl_easy_setopt_abstract_unix_socket(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_abstract_unix_socket' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_accept_encoding(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_accept_encoding' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_cainfo(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_cainfo' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_capath(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_capath' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_cookiefile(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_cookiefile' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_cookiejar(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_cookiejar' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_cookielist(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_cookielist' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_cookie(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_cookie' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_crlfile(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_crlfile' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_customrequest(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_customrequest' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_default_protocol(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_default_protocol' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_dns_interface(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_dns_interface' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_dns_local_ip4(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_dns_local_ip4' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_dns_local_ip6(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_dns_local_ip6' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_dns_servers(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_dns_servers' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_doh_url(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_doh_url' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_egdsocket(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_egdsocket' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ftp_account(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ftp_account' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ftp_alternative_to_user(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ftp_alternative_to_user' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ftpport(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ftpport' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_interface(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_interface' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_issuercert(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_issuercert' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_keypasswd(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_keypasswd' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_krblevel(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_krblevel' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_login_options(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_login_options' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_mail_auth(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_mail_auth' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_mail_from(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_mail_from' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_noproxy(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_noproxy' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_password(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_password' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_pinnedpublickey(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_pinnedpublickey' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_pre_proxy(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_pre_proxy' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_cainfo(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_cainfo' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_capath(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_capath' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_crlfile(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_crlfile' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_keypasswd(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_keypasswd' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxypassword(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxypassword' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_pinnedpublickey(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_pinnedpublickey' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_service_name(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_service_name' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_sslcert(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_sslcert' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_sslcerttype(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_sslcerttype' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_ssl_cipher_list(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_ssl_cipher_list' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_sslkey(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_sslkey' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_sslkeytype(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_sslkeytype' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_tls13_ciphers(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_tls13_ciphers' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_tlsauth_password(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_tlsauth_password' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_tlsauth_type(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_tlsauth_type' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_tlsauth_username(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_tlsauth_username' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxyusername(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxyusername' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxyuserpwd(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxyuserpwd' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_random_file(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_random_file' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_range(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_range' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_referer(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_referer' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_request_target(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_request_target' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_rtsp_session_id(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_rtsp_session_id' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_rtsp_stream_uri(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_rtsp_stream_uri' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_rtsp_transport(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_rtsp_transport' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_service_name(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_service_name' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_socks5_gssapi_service(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_socks5_gssapi_service' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ssh_host_public_key_md5(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ssh_host_public_key_md5' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ssh_knownhosts(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ssh_knownhosts' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ssh_private_keyfile(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ssh_private_keyfile' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ssh_public_keyfile(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ssh_public_keyfile' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_sslcert(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_sslcert' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_sslcerttype(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_sslcerttype' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ssl_cipher_list(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ssl_cipher_list' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_sslengine(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_sslengine' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_sslkey(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_sslkey' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_sslkeytype(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_sslkeytype' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_tls13_ciphers(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_tls13_ciphers' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_tlsauth_password(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_tlsauth_password' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_tlsauth_type(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_tlsauth_type' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_tlsauth_username(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_tlsauth_username' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_unix_socket_path(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_unix_socket_path' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_url(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_url' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_useragent(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_useragent' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_username(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_username' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_userpwd(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_userpwd' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_xoauth2_bearer(parameter text) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_xoauth2_bearer' LANGUAGE 'c';

CREATE OR REPLACE FUNCTION curl_easy_setopt_accepttimeout_ms(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_accepttimeout_ms' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_address_scope(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_address_scope' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_append(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_append' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_autoreferer(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_autoreferer' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_buffersize(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_buffersize' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_certinfo(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_certinfo' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_connect_only(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_connect_only' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_connecttimeout_ms(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_connecttimeout_ms' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_connecttimeout(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_connecttimeout' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_cookiesession(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_cookiesession' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_crlf(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_crlf' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_dirlistonly(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_dirlistonly' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_disallow_username_in_url(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_disallow_username_in_url' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_dns_cache_timeout(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_dns_cache_timeout' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_dns_shuffle_addresses(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_dns_shuffle_addresses' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_dns_use_global_cache(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_dns_use_global_cache' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_expect_100_timeout_ms(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_expect_100_timeout_ms' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_failonerror(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_failonerror' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_filetime(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_filetime' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_followlocation(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_followlocation' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_forbid_reuse(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_forbid_reuse' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_fresh_connect(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_fresh_connect' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ftp_create_missing_dirs(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ftp_create_missing_dirs' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ftp_filemethod(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ftp_filemethod' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ftp_skip_pasv_ip(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ftp_skip_pasv_ip' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ftpsslauth(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ftpsslauth' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ftp_ssl_ccc(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ftp_ssl_ccc' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ftp_use_eprt(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ftp_use_eprt' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ftp_use_epsv(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ftp_use_epsv' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ftp_use_pret(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ftp_use_pret' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_gssapi_delegation(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_gssapi_delegation' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_happy_eyeballs_timeout_ms(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_happy_eyeballs_timeout_ms' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_haproxyprotocol(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_haproxyprotocol' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_header(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_header' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_http09_allowed(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_http09_allowed' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_httpauth(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_httpauth' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_http_content_decoding(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_http_content_decoding' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_httpget(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_httpget' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_httpproxytunnel(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_httpproxytunnel' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_http_transfer_decoding(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_http_transfer_decoding' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_http_version(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_http_version' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ignore_content_length(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ignore_content_length' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ipresolve(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ipresolve' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_keep_sending_on_error(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_keep_sending_on_error' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_localportrange(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_localportrange' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_localport(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_localport' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_low_speed_limit(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_low_speed_limit' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_low_speed_time(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_low_speed_time' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_maxconnects(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_maxconnects' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_maxfilesize(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_maxfilesize' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_maxredirs(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_maxredirs' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_netrc(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_netrc' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_new_directory_perms(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_new_directory_perms' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_new_file_perms(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_new_file_perms' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_nobody(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_nobody' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_nosignal(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_nosignal' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_path_as_is(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_path_as_is' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_pipewait(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_pipewait' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_port(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_port' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_postredir(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_postredir' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_post(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_post' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_protocols(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_protocols' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxyauth(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxyauth' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxyport(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxyport' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_ssl_options(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_ssl_options' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_ssl_verifyhost(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_ssl_verifyhost' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_ssl_verifypeer(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_ssl_verifypeer' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_sslversion(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_sslversion' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxy_transfer_mode(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxy_transfer_mode' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_proxytype(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_proxytype' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_put(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_put' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_redir_protocols(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_redir_protocols' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_resume_from(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_resume_from' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_rtsp_client_cseq(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_rtsp_client_cseq' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_rtsp_request(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_rtsp_request' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_rtsp_server_cseq(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_rtsp_server_cseq' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_sasl_ir(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_sasl_ir' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_server_response_timeout(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_server_response_timeout' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_socks5_auth(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_socks5_auth' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_socks5_gssapi_nec(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_socks5_gssapi_nec' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ssh_auth_types(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ssh_auth_types' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ssh_compression(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ssh_compression' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ssl_enable_alpn(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ssl_enable_alpn' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ssl_enable_npn(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ssl_enable_npn' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ssl_falsestart(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ssl_falsestart' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ssl_options(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ssl_options' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ssl_sessionid_cache(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ssl_sessionid_cache' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ssl_verifyhost(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ssl_verifyhost' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ssl_verifypeer(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ssl_verifypeer' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_ssl_verifystatus(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_ssl_verifystatus' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_sslversion(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_sslversion' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_stream_weight(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_stream_weight' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_suppress_connect_headers(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_suppress_connect_headers' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_tcp_fastopen(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_tcp_fastopen' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_tcp_keepalive(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_tcp_keepalive' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_tcp_keepidle(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_tcp_keepidle' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_tcp_keepintvl(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_tcp_keepintvl' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_tcp_nodelay(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_tcp_nodelay' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_tftp_blksize(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_tftp_blksize' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_tftp_no_options(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_tftp_no_options' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_timecondition(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_timecondition' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_timeout_ms(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_timeout_ms' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_timeout(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_timeout' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_timevalue(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_timevalue' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_transfer_encoding(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_transfer_encoding' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_transfertext(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_transfertext' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_unrestricted_auth(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_unrestricted_auth' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_upkeep_interval_ms(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_upkeep_interval_ms' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_upload_buffersize(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_upload_buffersize' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_use_ssl(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_use_ssl' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_verbose(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_verbose' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_setopt_wildcardmatch(parameter bigint) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_setopt_wildcardmatch' LANGUAGE 'c';

CREATE OR REPLACE FUNCTION curl_easy_perform(try int default 1, sleep bigint default 1000000) RETURNS boolean AS 'MODULE_PATHNAME', 'pg_curl_easy_perform' LANGUAGE 'c';

CREATE OR REPLACE FUNCTION curl_easy_getinfo_headers() RETURNS text AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_headers' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_response() RETURNS bytea AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_response' LANGUAGE 'c';

CREATE OR REPLACE FUNCTION curl_easy_getinfo(info integer) RETURNS text AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_text(info integer) RETURNS text AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_char2' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_bigint(info integer) RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_long2' LANGUAGE 'c';

CREATE OR REPLACE FUNCTION curl_easy_getinfo_content_type() RETURNS text AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_content_type' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_effective_url() RETURNS text AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_effective_url' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_ftp_entry_path() RETURNS text AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_ftp_entry_path' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_local_ip() RETURNS text AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_local_ip' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_primary_ip() RETURNS text AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_primary_ip' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_private() RETURNS text AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_private' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_redirect_url() RETURNS text AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_redirect_url' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_rtsp_session_id() RETURNS text AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_rtsp_session_id' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_scheme() RETURNS text AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_scheme' LANGUAGE 'c';

CREATE OR REPLACE FUNCTION curl_easy_getinfo_condition_unmet() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_condition_unmet' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_filetime() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_filetime' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_header_size() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_header_size' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_httpauth_avail() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_httpauth_avail' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_http_connectcode() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_http_connectcode' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_http_version() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_http_version' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_lastsocket() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_lastsocket' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_local_port() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_local_port' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_num_connects() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_num_connects' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_os_errno() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_os_errno' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_primary_port() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_primary_port' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_protocol() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_protocol' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_proxyauth_avail() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_proxyauth_avail' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_proxy_ssl_verifyresult() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_proxy_ssl_verifyresult' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_redirect_count() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_redirect_count' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_request_size() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_request_size' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_response_code() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_response_code' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_rtsp_client_cseq() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_rtsp_client_cseq' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_rtsp_cseq_recv() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_rtsp_cseq_recv' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_rtsp_server_cseq() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_rtsp_server_cseq' LANGUAGE 'c';
CREATE OR REPLACE FUNCTION curl_easy_getinfo_ssl_verifyresult() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_easy_getinfo_ssl_verifyresult' LANGUAGE 'c';

CREATE OR REPLACE FUNCTION curlopt_abstract_unix_socket() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_abstract_unix_socket' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_accept_encoding() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_accept_encoding' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_cainfo() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_cainfo' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_capath() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_capath' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_cookiefile() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_cookiefile' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_cookiejar() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_cookiejar' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_cookielist() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_cookielist' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_cookie() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_cookie' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_crlfile() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_crlfile' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_customrequest() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_customrequest' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_default_protocol() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_default_protocol' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_dns_interface() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_dns_interface' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_dns_local_ip4() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_dns_local_ip4' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_dns_local_ip6() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_dns_local_ip6' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_dns_servers() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_dns_servers' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_doh_url() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_doh_url' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_egdsocket() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_egdsocket' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ftp_account() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ftp_account' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ftp_alternative_to_user() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ftp_alternative_to_user' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ftpport() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ftpport' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_interface() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_interface' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_issuercert() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_issuercert' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_keypasswd() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_keypasswd' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_krblevel() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_krblevel' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_login_options() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_login_options' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_mail_auth() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_mail_auth' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_mail_from() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_mail_from' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_noproxy() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_noproxy' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_password() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_password' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_pinnedpublickey() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_pinnedpublickey' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_pre_proxy() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_pre_proxy' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_cainfo() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_cainfo' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_capath() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_capath' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_crlfile() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_crlfile' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_keypasswd() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_keypasswd' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxypassword() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxypassword' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_pinnedpublickey() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_pinnedpublickey' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_service_name() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_service_name' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_sslcert() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_sslcert' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_sslcerttype() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_sslcerttype' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_ssl_cipher_list() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_ssl_cipher_list' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_sslkey() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_sslkey' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_sslkeytype() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_sslkeytype' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_tls13_ciphers() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_tls13_ciphers' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_tlsauth_password() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_tlsauth_password' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_tlsauth_type() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_tlsauth_type' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_tlsauth_username() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_tlsauth_username' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxyusername() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxyusername' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxyuserpwd() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxyuserpwd' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_random_file() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_random_file' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_range() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_range' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_referer() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_referer' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_request_target() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_request_target' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_rtsp_session_id() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_rtsp_session_id' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_rtsp_stream_uri() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_rtsp_stream_uri' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_rtsp_transport() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_rtsp_transport' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_service_name() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_service_name' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_socks5_gssapi_service() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_socks5_gssapi_service' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ssh_host_public_key_md5() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ssh_host_public_key_md5' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ssh_knownhosts() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ssh_knownhosts' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ssh_private_keyfile() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ssh_private_keyfile' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ssh_public_keyfile() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ssh_public_keyfile' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_sslcert() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_sslcert' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_sslcerttype() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_sslcerttype' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ssl_cipher_list() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ssl_cipher_list' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_sslengine() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_sslengine' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_sslkey() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_sslkey' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_sslkeytype() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_sslkeytype' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_tls13_ciphers() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_tls13_ciphers' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_tlsauth_password() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_tlsauth_password' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_tlsauth_type() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_tlsauth_type' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_tlsauth_username() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_tlsauth_username' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_unix_socket_path() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_unix_socket_path' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_url() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_url' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_useragent() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_useragent' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_username() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_username' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_userpwd() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_userpwd' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_xoauth2_bearer() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_xoauth2_bearer' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curlopt_accepttimeout_ms() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_accepttimeout_ms' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_address_scope() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_address_scope' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_append() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_append' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_autoreferer() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_autoreferer' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_buffersize() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_buffersize' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_certinfo() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_certinfo' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_connect_only() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_connect_only' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_connecttimeout_ms() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_connecttimeout_ms' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_connecttimeout() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_connecttimeout' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_cookiesession() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_cookiesession' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_crlf() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_crlf' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_dirlistonly() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_dirlistonly' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_disallow_username_in_url() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_disallow_username_in_url' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_dns_cache_timeout() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_dns_cache_timeout' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_dns_shuffle_addresses() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_dns_shuffle_addresses' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_dns_use_global_cache() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_dns_use_global_cache' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_expect_100_timeout_ms() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_expect_100_timeout_ms' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_failonerror() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_failonerror' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_filetime() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_filetime' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_followlocation() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_followlocation' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_forbid_reuse() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_forbid_reuse' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_fresh_connect() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_fresh_connect' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ftp_create_missing_dirs() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ftp_create_missing_dirs' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ftp_filemethod() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ftp_filemethod' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ftp_skip_pasv_ip() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ftp_skip_pasv_ip' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ftpsslauth() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ftpsslauth' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ftp_ssl_ccc() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ftp_ssl_ccc' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ftp_use_eprt() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ftp_use_eprt' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ftp_use_epsv() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ftp_use_epsv' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ftp_use_pret() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ftp_use_pret' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_gssapi_delegation() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_gssapi_delegation' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_happy_eyeballs_timeout_ms() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_happy_eyeballs_timeout_ms' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_haproxyprotocol() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_haproxyprotocol' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_header() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_header' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_http09_allowed() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_http09_allowed' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_httpauth() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_httpauth' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_http_content_decoding() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_http_content_decoding' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_httpget() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_httpget' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_httpproxytunnel() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_httpproxytunnel' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_http_transfer_decoding() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_http_transfer_decoding' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_http_version() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_http_version' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ignore_content_length() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ignore_content_length' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ipresolve() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ipresolve' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_keep_sending_on_error() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_keep_sending_on_error' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_localportrange() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_localportrange' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_localport() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_localport' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_low_speed_limit() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_low_speed_limit' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_low_speed_time() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_low_speed_time' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_maxconnects() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_maxconnects' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_maxfilesize() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_maxfilesize' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_maxredirs() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_maxredirs' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_netrc() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_netrc' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_new_directory_perms() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_new_directory_perms' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_new_file_perms() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_new_file_perms' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_nobody() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_nobody' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_nosignal() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_nosignal' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_path_as_is() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_path_as_is' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_pipewait() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_pipewait' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_port() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_port' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_postredir() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_postredir' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_post() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_post' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_protocols() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_protocols' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxyauth() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxyauth' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxyport() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxyport' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_ssl_options() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_ssl_options' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_ssl_verifyhost() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_ssl_verifyhost' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_ssl_verifypeer() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_ssl_verifypeer' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_sslversion() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_sslversion' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxy_transfer_mode() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxy_transfer_mode' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_proxytype() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_proxytype' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_put() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_put' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_redir_protocols() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_redir_protocols' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_resume_from() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_resume_from' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_rtsp_client_cseq() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_rtsp_client_cseq' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_rtsp_request() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_rtsp_request' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_rtsp_server_cseq() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_rtsp_server_cseq' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_sasl_ir() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_sasl_ir' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_server_response_timeout() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_server_response_timeout' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_socks5_auth() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_socks5_auth' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_socks5_gssapi_nec() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_socks5_gssapi_nec' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ssh_auth_types() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ssh_auth_types' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ssh_compression() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ssh_compression' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ssl_enable_alpn() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ssl_enable_alpn' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ssl_enable_npn() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ssl_enable_npn' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ssl_falsestart() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ssl_falsestart' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ssl_options() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ssl_options' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ssl_sessionid_cache() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ssl_sessionid_cache' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ssl_verifyhost() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ssl_verifyhost' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ssl_verifypeer() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ssl_verifypeer' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_ssl_verifystatus() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_ssl_verifystatus' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_sslversion() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_sslversion' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_stream_weight() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_stream_weight' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_suppress_connect_headers() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_suppress_connect_headers' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_tcp_fastopen() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_tcp_fastopen' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_tcp_keepalive() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_tcp_keepalive' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_tcp_keepidle() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_tcp_keepidle' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_tcp_keepintvl() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_tcp_keepintvl' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_tcp_nodelay() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_tcp_nodelay' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_tftp_blksize() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_tftp_blksize' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_tftp_no_options() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_tftp_no_options' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_timecondition() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_timecondition' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_timeout_ms() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_timeout_ms' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_timeout() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_timeout' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_timevalue() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_timevalue' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_transfer_encoding() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_transfer_encoding' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_transfertext() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_transfertext' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_unrestricted_auth() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_unrestricted_auth' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_upkeep_interval_ms() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_upkeep_interval_ms' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_upload_buffersize() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_upload_buffersize' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_use_ssl() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_use_ssl' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_verbose() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_verbose' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlopt_wildcardmatch() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlopt_wildcardmatch' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curl_http_version_1_0() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_http_version_1_0' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_http_version_1_1() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_http_version_1_1' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_http_version_2_0() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_http_version_2_0' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_http_version_2_prior_knowledge() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_http_version_2_prior_knowledge' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_http_version_2tls() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_http_version_2tls' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_http_version_3() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_http_version_3' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_http_version_none() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_http_version_none' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curlusessl_none() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlusessl_none' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlusessl_try() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlusessl_try' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlusessl_control() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlusessl_control' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlusessl_all() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlusessl_all' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curl_upkeep_interval_default() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_upkeep_interval_default' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curl_timecond_none() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_timecond_none' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_timecond_ifmodsince() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_timecond_ifmodsince' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_timecond_ifunmodsince() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_timecond_ifunmodsince' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curl_sslversion_default() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_sslversion_default' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_sslversion_tlsv1() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_sslversion_tlsv1' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_sslversion_sslv2() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_sslversion_sslv2' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_sslversion_sslv3() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_sslversion_sslv3' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_sslversion_tlsv1_0() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_sslversion_tlsv1_0' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_sslversion_tlsv1_1() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_sslversion_tlsv1_1' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_sslversion_tlsv1_2() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_sslversion_tlsv1_2' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_sslversion_tlsv1_3() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_sslversion_tlsv1_3' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_sslversion_max_default() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_sslversion_max_default' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_sslversion_max_tlsv1_0() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_sslversion_max_tlsv1_0' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_sslversion_max_tlsv1_1() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_sslversion_max_tlsv1_1' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_sslversion_max_tlsv1_2() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_sslversion_max_tlsv1_2' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_sslversion_max_tlsv1_3() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_sslversion_max_tlsv1_3' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curlsslopt_allow_beast() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlsslopt_allow_beast' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlsslopt_no_revoke() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlsslopt_no_revoke' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlsslopt_no_partialchain() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlsslopt_no_partialchain' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlsslopt_revoke_best_effort() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlsslopt_revoke_best_effort' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlsslopt_native_ca() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlsslopt_native_ca' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlsslopt_auto_client_cert() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlsslopt_auto_client_cert' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curlssh_auth_publickey() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlssh_auth_publickey' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlssh_auth_password() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlssh_auth_password' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlssh_auth_host() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlssh_auth_host' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlssh_auth_keyboard() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlssh_auth_keyboard' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlssh_auth_agent() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlssh_auth_agent' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlssh_auth_any() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlssh_auth_any' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curlauth_basic() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlauth_basic' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlauth_digest() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlauth_digest' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlauth_digest_ie() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlauth_digest_ie' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlauth_bearer() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlauth_bearer' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlauth_negotiate() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlauth_negotiate' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlauth_ntlm() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlauth_ntlm' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlauth_ntlm_wb() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlauth_ntlm_wb' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlauth_any() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlauth_any' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlauth_anysafe() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlauth_anysafe' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlauth_only() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlauth_only' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlauth_aws_sigv4() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlauth_aws_sigv4' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlauth_gssapi() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlauth_gssapi' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlauth_none() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlauth_none' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curl_rtspreq_options() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_rtspreq_options' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_rtspreq_describe() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_rtspreq_describe' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_rtspreq_announce() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_rtspreq_announce' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_rtspreq_setup() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_rtspreq_setup' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_rtspreq_play() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_rtspreq_play' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_rtspreq_pause() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_rtspreq_pause' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_rtspreq_teardown() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_rtspreq_teardown' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_rtspreq_get_parameter() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_rtspreq_get_parameter' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_rtspreq_set_parameter() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_rtspreq_set_parameter' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_rtspreq_record() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_rtspreq_record' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_rtspreq_receive() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_rtspreq_receive' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curlproto_dict() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_dict' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_file() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_file' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_ftp() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_ftp' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_ftps() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_ftps' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_gopher() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_gopher' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_http() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_http' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_https() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_https' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_imap() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_imap' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_imaps() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_imaps' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_ldap() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_ldap' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_ldaps() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_ldaps' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_pop3() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_pop3' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_pop3s() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_pop3s' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_rtmp() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_rtmp' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_rtmpe() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_rtmpe' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_rtmps() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_rtmps' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_rtmpt() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_rtmpt' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_rtmpte() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_rtmpte' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_rtmpts() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_rtmpts' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_rtsp() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_rtsp' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_scp() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_scp' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_sftp() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_sftp' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_smb() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_smb' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_smbs() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_smbs' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_smtp() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_smtp' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_smtps() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_smtps' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_telnet() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_telnet' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_tftp() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_tftp' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproto_all() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproto_all' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curlproxy_http() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproxy_http' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproxy_https() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproxy_https' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproxy_http_1_0() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproxy_http_1_0' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproxy_socks4() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproxy_socks4' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproxy_socks4a() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproxy_socks4a' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproxy_socks5() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproxy_socks5' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlproxy_socks5_hostname() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlproxy_socks5_hostname' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curl_redir_post_301() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_redir_post_301' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_redir_post_302() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_redir_post_302' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_redir_post_303() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_redir_post_303' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_redir_post_all() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_redir_post_all' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curl_netrc_optional() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_netrc_optional' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_netrc_ignored() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_netrc_ignored' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_netrc_required() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_netrc_required' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curl_ipresolve_whatever() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_ipresolve_whatever' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_ipresolve_v4() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_ipresolve_v4' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curl_ipresolve_v6() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_ipresolve_v6' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curl_het_default() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_het_default' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curlgssapi_delegation_flag() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlgssapi_delegation_flag' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlgssapi_delegation_policy_flag() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlgssapi_delegation_policy_flag' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlgssapi_delegation_none() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlgssapi_delegation_none' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curlftpssl_ccc_none() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlftpssl_ccc_none' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlftpssl_ccc_passive() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlftpssl_ccc_passive' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlftpssl_ccc_active() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlftpssl_ccc_active' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curlftpauth_default() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlftpauth_default' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlftpauth_ssl() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlftpauth_ssl' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlftpauth_tls() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlftpauth_tls' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curlftpmethod_multicwd() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlftpmethod_multicwd' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlftpmethod_nocwd() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlftpmethod_nocwd' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlftpmethod_singlecwd() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlftpmethod_singlecwd' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curlftp_create_dir() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlftp_create_dir' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlftp_create_dir_retry() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlftp_create_dir_retry' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlftp_create_dir_none() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curlftp_create_dir_none' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curl_max_write_size() RETURNS bigint AS 'MODULE_PATHNAME', 'pg_curl_max_write_size' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curlinfo_content_type() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_content_type' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_effective_url() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_effective_url' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_ftp_entry_path() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_ftp_entry_path' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_local_ip() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_local_ip' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_primary_ip() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_primary_ip' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_private() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_private' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_redirect_url() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_redirect_url' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_rtsp_session_id() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_rtsp_session_id' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_scheme() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_scheme' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;

CREATE OR REPLACE FUNCTION curlinfo_condition_unmet() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_condition_unmet' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_filetime() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_filetime' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_header_size() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_header_size' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_httpauth_avail() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_httpauth_avail' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_http_connectcode() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_http_connectcode' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_http_version() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_http_version' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_lastsocket() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_lastsocket' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_local_port() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_local_port' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_num_connects() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_num_connects' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_os_errno() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_os_errno' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_primary_port() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_primary_port' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_protocol() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_protocol' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_proxyauth_avail() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_proxyauth_avail' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_proxy_ssl_verifyresult() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_proxy_ssl_verifyresult' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_redirect_count() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_redirect_count' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_request_size() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_request_size' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_response_code() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_response_code' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_rtsp_client_cseq() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_rtsp_client_cseq' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_rtsp_cseq_recv() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_rtsp_cseq_recv' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_rtsp_server_cseq() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_rtsp_server_cseq' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
CREATE OR REPLACE FUNCTION curlinfo_ssl_verifyresult() RETURNS integer AS 'MODULE_PATHNAME', 'pg_curlinfo_ssl_verifyresult' LANGUAGE 'c' IMMUTABLE PARALLEL SAFE;
